<?php
require("../../inc/header.inc");
require("../serverStatusImprove/function.inc");
?>

<?php
adjust_head();
adjust_title_head();


echo "<FORM NAME=\"downForm\" action=\"./server_status.php\" method=\"post\">";
echo "<table id=\"table_up\" border=\"0\" width=\"100%\">";
	echo "<tr>";
		echo "<td width=\"50%\">";
		echo "Advanced > SMPP Status";
		echo "</td>";
		echo "<td width=\"50%\" align=\"right\" title=\"Help\">";
		showHelp($helpId);
		echo "</td>";
	echo "</tr>";
	
	
	echo "<tr>";
		echo "<td width=\"50%\">";
		echo "&nbsp;";
		echo "</td>";
		echo "<td width=\"50%\" align=\"right\" title=\"Clear\">";
		//echo "<a href=# onClick=\"javascript:clearAll();\"><img align=absBottom border=0 src=\"../../images/delete.gif\" width=\"14\" height=\"14\">$strBlack</a>";
		echo "<a target=\"_parent\" href=\"./plat_test_status.php?\"><img src=\"../../images/left.gif\" border=0></img>back</a>";
		
		echo "</td>";
	echo "</tr>";
echo "</table>";


adjust_title_tail();
adjust_content_head();



$config=parse_ini_file("../platStatus/config.ini",true);
$config_count=sizeof($config);

$platDetailInfo=GetDetailPlatInfo($sysNo,$subSysNo,9);


$table_title="<font color=\"#0000FF\">SMPP</font>( ";
$table_title.=" Status:";
$table_title.="<font color=\"{$platDetailInfo[SMPP][Status][Color]}\">{$platDetailInfo[SMPP][Status][Value]}</font>";
$table_title.=",";
$table_title.="RefreshTime:";
$table_title.="<font color=\"{$platDetailInfo[RefreshTime][Color]}\">{$platDetailInfo[RefreshTime][Value]}</font>";
$table_title.=")";


  echo "<br><b><center>$table_title</center></b><br>";
  echo "<table width=\"100%\" border=\"1\" cellpadding=\"2\" cellspacing=\"0\" bordercolor=\"#666666\" bordercolordark=\"#FFFFFF\" bgcolor=\"#FFFFFF\">";
	
	echo "<tr bgcolor=\"#E6E6E6\">";
	
	echo "<td align=\"left\" >Port no</td>";
	echo "<td align=\"left\" >Status</td>";
	echo "<td align=\"left\" >Port no</td>";
	echo "<td align=\"left\" >Status</td>";
	echo "<td align=\"left\" >Port no</td>";
	echo "<td align=\"left\" >Status</td>";
	echo "<td align=\"left\" >Port no</td>";
	echo "<td align=\"left\" >Status</td>";
	echo "</tr>";

  for($i=0;$i<8;$i++)
  {
	  echo "<tr>";
		
		for($j=0;$j<4;$j++)
		{		
      $dis_no=($j)*8+$i;
		  echo "<td>";
		  echo $dis_no;
			echo "</td>";
			echo "<td>";
			$dis_port=($j)*8+$i;
			//echo "$dis_port";
			echo "{$platDetailInfo[SMPP][SMPPLink][$dis_port][Value]}";
			echo "</td>";
    }
    
    echo "</tr>";
  }

    echo "</table>";
?>
<?php
echo "<table border=\"0\" width=\"100%\">";
	echo "<tr>";
		echo "<td width=\"50%\" align=\"left\">";
		echo "Remarks:  <font color=\"blue\">0</font> = Not initializing ,  <font color=\"red\">1</font> = Idle,  <font color=\"red\">2</font> = Waiting,  <font color=\"red\">3</font> =Established.";
		echo "</td>";
		
		//echo "<a target=\"_parent\" href=\"./plat_test_status.php?\"><img src=\"../../images/left.gif\" border=0></img>back</a>";
    echo "<td width=\"50%\" align=\"right\" title=\"back\">";
    echo "<a target=\"Back\" href=\"./plat_test_status.php?\"><img src=\"../../images/left.gif\" border=0></img>back</a>";
    echo "</td>";
    echo "</tr>";
    echo "</table>";
?>








